org.keycloak.authorization.protection.policy

## Class UserManagedPermissionService

- java.lang.Object
- - org.keycloak.authorization.protection.policy.UserManagedPermissionService

-     public class UserManagedPermissionService
      extends Object

  Author:
    Federico M. Facca

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserManagedPermissionService(KeycloakIdentity identity, ResourceServer resourceServer, AuthorizationProvider authorization, AdminEventBuilder eventBuilder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `create(String resourceId, UmaPermissionRepresentation representation)`
    `javax.ws.rs.core.Response` | `delete(String policyId)`
    `javax.ws.rs.core.Response` | `find(String name, String resource, String scope, Integer firstResult, Integer maxResult)`
    `javax.ws.rs.core.Response` | `findById(String policyId)`
    `javax.ws.rs.core.Response` | `update(String policyId, String payload)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserManagedPermissionService

          public UserManagedPermissionService(KeycloakIdentity identity,
                                              ResourceServer resourceServer,
                                              AuthorizationProvider authorization,
                                              AdminEventBuilder eventBuilder)

  - ### Method Detail

    - #### create

          @POST
           @Path(value="{resourceId}")
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response create(@PathParam(value="resourceId")
                                                                                                                                                               String resourceId,
                                                                                                                                                               UmaPermissionRepresentation representation)

    - #### update

          @Path(value="{policyId}")
           @PUT
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response update(@PathParam(value="policyId")
                                                                                                                                                            String policyId,
                                                                                                                                                            String payload)

    - #### delete

          @Path(value="{policyId}")
           @DELETE
          public javax.ws.rs.core.Response delete(@PathParam(value="policyId")
                                                                                     String policyId)

    - #### findById

          @Path(value="{policyId}")
           @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response findById(@PathParam(value="policyId")
                                                                                                                         String policyId)

    - #### find

          @GET
           @Produces(value="application/json")
          public javax.ws.rs.core.Response find(@QueryParam(value="name")
                                                                                          String name,
                                                                                          @QueryParam(value="resource")
                                                                                          String resource,
                                                                                          @QueryParam(value="scope")
                                                                                          String scope,
                                                                                          @QueryParam(value="first")
                                                                                          Integer firstResult,
                                                                                          @QueryParam(value="max")
                                                                                          Integer maxResult)

Copyright © 2021 JBoss by Red Hat. All rights reserved.